/*
 * Ibis - IRCv3 Library
 * Copyright (C) 2022-2024 Ibis Developers
 *
 * Ibis is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#if !defined(IBIS_GLOBAL_HEADER_INSIDE) && !defined(IBIS_COMPILATION)
# error "only <ibis.h> may be included directly"
#endif

#ifndef IBIS_FORMATTING_H
#define IBIS_FORMATTING_H

#include <glib.h>

#include "ibisversion.h"

G_BEGIN_DECLS

/**
 * ibis_formatting_strip:
 * @text: (nullable): the text to strip
 *
 * Removes all formatting from @text and returns the result.
 *
 * Returns: (transfer full) (nullable): The result of stripping @text.
 *
 * Since: 0.1
 */
IBIS_AVAILABLE_IN_0_1
char *ibis_formatting_strip(const char *text);

G_END_DECLS

#endif /* IBIS_FORMATTING_H */
